/* CSS Document */
#content {
    padding-top: 65px;
}
#loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #FFFBEA;
    z-index: 1200;
    transition: opacity 0.75s, visibility 0.75s;
}
.loader-hidden {
    opacity: 0;
    visibility: hidden;
}
#loader::after{
    content: "";
    width: 75px;
    height: 75px; 
    border: 15px solid #FFF1BE;
    border-top-color: #ffda53;
    border-radius: 50%;
    animation: loading 0.75s ease infinite;
}
@keyframes loading {
    from { transform: rotate(0turn)}
    to { transform: rotate(1turn)}
}
.navbar-light {
  background-image: -webkit-linear-gradient(#ffda53, #ffbc2a 60%, #ffb616);
  background-image: -o-linear-gradient(#ffe253, #ffbc2a 60%, #ffb616);
  background-image: linear-gradient(#ffe253, #ffbc2a 60%, #ffb616);
  background-repeat: no-repeat;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffda53', endColorstr='#ffb616', GradientType=0);
  border-bottom: 1px solid #ffda53;
  filter: none;
  -webkit-box-shadow: 0 1px 10px rgba(0, 0, 0, 0.3);
  box-shadow: 0 1px 10px rgba(0, 0, 0, 0.3);
}
.navbar-light .badge {
  background-color: #fff;
  color: #000000;
}
.navbar-inverse {
  background-image: -webkit-linear-gradient(#04519b, #044687 60%, #033769);
  background-image: -o-linear-gradient(#04519b, #044687 60%, #033769);
  background-image: linear-gradient(#04519b, #044687 60%, #033769);
  background-repeat: no-repeat;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff04519b', endColorstr='#ff033769', GradientType=0);
  filter: none;
  border-bottom: 1px solid #022241;
}
.navbar-inverse .badge {
  background-color: #fff;
  color: #033c73;
}
.navbar .navbar-nav > li > a,
.navbar-brand {
  text-shadow: 0 1px 0 rgba(0, 0, 0, 0.1);
}

.navbar .dropdown-menu {
    overflow: auto;
    max-height: 78vh;
}

.carousel .carousel-caption {
    background-color: rgba(0, 0, 0, 0.7);
}
.btn {
  text-shadow: 0 1px 0 rgba(0, 0, 0, 0.1);
  white-space: nowrap;
}
.btn-lg {
    border-radius: 100px;
}
.btn .caret {
  border-top-color: #fff;
}
.btn-default {
  background-image: -webkit-linear-gradient(#ffffff, #ffffff 60%, #f5f5f5);
  background-image: -o-linear-gradient(#ffffff, #ffffff 60%, #f5f5f5);
  background-image: linear-gradient(#ffffff, #ffffff 60%, #f5f5f5);
  background-repeat: no-repeat;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffffff', endColorstr='#fff5f5f5', GradientType=0);
  filter: none;
  border-bottom: 1px solid #e6e6e6;
}
.btn-default:hover {
  color: #555555;
}
.btn-default .caret {
  border-top-color: #555555;
}
.btn-default {
  background-image: -webkit-linear-gradient(#ffffff, #ffffff 60%, #f5f5f5);
  background-image: -o-linear-gradient(#ffffff, #ffffff 60%, #f5f5f5);
  background-image: linear-gradient(#ffffff, #ffffff 60%, #f5f5f5);
  background-repeat: no-repeat;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffffff', endColorstr='#fff5f5f5', GradientType=0);
  filter: none;
  border-bottom: 1px solid #e6e6e6;
}
.btn-primary {
  background-image: -webkit-linear-gradient(#04519b, #033c73 60%, #02325f);
  background-image: -o-linear-gradient(#04519b, #033c73 60%, #02325f);
  background-image: linear-gradient(#04519b, #033c73 60%, #02325f);
  background-repeat: no-repeat;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff04519b', endColorstr='#ff02325f', GradientType=0);
  filter: none;
  border-bottom: 1px solid #022241;
}
.btn-success {
  background-image: -webkit-linear-gradient(#2cb94a, #24983d 60%, #208836);
  background-image: -o-linear-gradient(#2cb94a, #24983d 60%, #208836);
  background-image: linear-gradient(#2cb94a, #24983d 60%, #208836);
  background-repeat: no-repeat;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff2cb94a', endColorstr='#ff208836', GradientType=0);
  filter: none;
  border-bottom: 1px solid #1a6f2c;
}
.btn-info {
  background-image: -webkit-linear-gradient(#2384e2, #1a6fc2 60%, #1865b0);
  background-image: -o-linear-gradient(#2384e2, #1a6fc2 60%, #1865b0);
  background-image: linear-gradient(#2384e2, #1a6fc2 60%, #1865b0);
  background-repeat: no-repeat;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff2384e2', endColorstr='#ff1865b0', GradientType=0);
  filter: none;
  border-bottom: 1px solid #145595;
}
.btn-warning {
  background-image: -webkit-linear-gradient(#ffc953, #ffbc2a 60%, #ffb616);
  background-image: -o-linear-gradient(#ffc953, #ffbc2a 60%, #ffb616);
  background-image: linear-gradient(#ffc953, #ffbc2a 60%, #ffb616);
  background-repeat: no-repeat;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffc953', endColorstr='#ffffb616', GradientType=0);
  filter: none;
  border-bottom: 1px solid #f6a900;
}
.btn-danger {
  background-image: -webkit-linear-gradient(#e12b31, #c71c22 60%, #b5191f);
  background-image: -o-linear-gradient(#e12b31, #c71c22 60%, #b5191f);
  background-image: linear-gradient(#e12b31, #c71c22 60%, #b5191f);
  background-repeat: no-repeat;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffe12b31', endColorstr='#ffb5191f', GradientType=0);
  filter: none;
  border-bottom: 1px solid #9a161a;
}
.panel-primary .panel-heading,
.panel-success .panel-heading,
.panel-warning .panel-heading,
.panel-danger .panel-heading,
.panel-info .panel-heading,
.panel-primary .panel-title,
.panel-success .panel-title,
.panel-warning .panel-title,
.panel-danger .panel-title,
.panel-info .panel-title {
  color: #fff;
}
.panel-primary > .panel-heading .badge,
.panel-success > .panel-heading .badge,
.panel-warning > .panel-heading .badge,
.panel-danger > .panel-heading .badge,
.panel-info > .panel-heading .badge {
  background-color: #fff;
}
.parallax {
  background-attachment: fixed;
  background-size: cover;
  background-position: 50% 50%;
  overflow: hidden;
  background: transparent;
}
.hero1 {
  background: url("../images/bootstrap/Depositphotos_103656112_xl-2015.jpg") no-repeat center center, rgba(229, 220, 200, 0.7);
  position: fixed;
  margin-top: 65px;
  width: 100%;
  height: 534px; /* same height as jumbotron */
  background-size: cover; 
  top: 0;
  left: 0;
  z-index: -999;
  background-blend-mode: soft-light;
  -webkit-background-blend-mode: soft-lightsoft-light;
}
.jumbotron{
    margin-bottom: 0;
    height: 535px;
    padding: 0;
}
.card-deck {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
    grid-gap: .5rem;
}
.card-deck .card {
    margin-bottom: 15px
}

.section {
    padding-top: 40px;
    padding-bottom: 40px
}
.yellowbar {
  background-image: -webkit-linear-gradient(right, #ffda53, #ffbc2a 60%, #ffb616);
  background-image:      -o-linear-gradient(right, #ffe253, #ffbc2a 60%, #ffb616);
  background-image:         linear-gradient(right, #ffe253, #ffbc2a 60%, #ffb616);
}
.avatar img {
    width: 200px;
    object-fit: contain;

}

ion-icon {
  font-size: 24px;
  margin-bottom: -5px;
}
.bootstrap-tagsinput .badge.badge-primary:before {
  content: "Speaker: ";
}
.bootstrap-tagsinput .badge.badge-danger:before {
  content: "Topic: ";
}
.bootstrap-tagsinput .badge.badge-success:before {
  content: "Track: ";
}
.bootstrap-tagsinput .badge.badge-warning:before {
  content: "Organization: ";
}
.bootstrap-tagsinput .badge.badge-secondary:before {
  content: "Conference: ";
}
.bootstrap-tagsinput .badge.badge-light:before {
  content: "Search: ";
}
/* Recording Styles */
.recordings .row {
    border-bottom: thin solid #B1B1B1;
    margin-top: 2em;
    padding-bottom: 2em; 
}
.recording-item .badge {
    margin: 0.5em;
    padding: 0.5em;
}
.recordings .row h4.title {
    cursor: pointer;
    text-decoration: underline;
}
.arrow {
border: solid black;
    border-width: 0px 4px 4px 0;
    display: inline-block;
    padding: 4px;
    margin-right: 6px;
    transition: all 0.2s ease-in-out;
}
.arrow.right {
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
}
.arrow.down {
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
}
.recordings .price {
    white-space: nowrap;
}
.price .sale {
    text-decoration: line-through;
    color: red;
}

.recordings .badge.badge-primary {
    cursor: pointer;
}

#speakerModal .col.button span.price {
    display: inline-block;
    width: 70px;
}
#speakerModal .rid {
     white-space: nowrap;
}
/* CART styling */
/*******************************
* MODAL AS LEFT/RIGHT SIDEBAR for Bootstrap v4
* Add "left" or "right" in modal parent div, after class="modal".
* Get free snippets on bootpen.com
*******************************/
.modal.left .modal-dialog,
.modal.right .modal-dialog {
    position: fixed;
    margin: auto;
    width: 320px;
    height: 100%;
    -webkit-transform: translate3d(0%, 0, 0);
        -ms-transform: translate3d(0%, 0, 0);
         -o-transform: translate3d(0%, 0, 0);
            transform: translate3d(0%, 0, 0);
}

.modal.left .modal-content,
.modal.right .modal-content {
    height: 100%;
    overflow-y: auto;
}

.modal.left .modal-body,
.modal.right .modal-body {
    padding: 15px 15px 80px;
}

/*Left*/
.modal.left.fade .modal-dialog{
    left: -320px;
    -webkit-transition: opacity 0.3s linear, left 0.3s ease-out;
       -moz-transition: opacity 0.3s linear, left 0.3s ease-out;
         -o-transition: opacity 0.3s linear, left 0.3s ease-out;
            transition: opacity 0.3s linear, left 0.3s ease-out;
}

.modal.left.fade.show .modal-dialog{
    left: 0;
}
        
/*Right*/
.modal.right.fade .modal-dialog {
    right: -320px;
    -webkit-transition: opacity 0.3s linear, right 0.3s ease-out;
       -moz-transition: opacity 0.3s linear, right 0.3s ease-out;
         -o-transition: opacity 0.3s linear, right 0.3s ease-out;
            transition: opacity 0.3s linear, right 0.3s ease-out;
}

.modal.right.fade.show .modal-dialog {
    right: 0;
}
/* ----- footer ------ */
footer.footer-bg-dark {
    background-color: #222222;
}
footer {
    padding-top: 50px;
    color: #fff;
}
footer ul {
    padding: 0px;
}
footer ul li {
    list-style: none;
}
footer ul li a {
    padding: 5px 0px;
    color: #efefef;
    display: block;
    border-bottom: 1px solid #ddd;
}
footer ul li a:hover{
    color: #FFE175;
    text-decoration: none;
}
footer h3 {
    margin-bottom: 20px;
    font-size: 20px;
}
footer p {
    color: #efefef;
    padding: 10px 0px;
    margin: 0px;
}
footer i {
    color: #222222;
    font-size: 13px;
    margin: 3px 5px;
    background-color: #fff;
    padding: 6px 0px;
    border-radius: 50%;
    width: 25px;
    height: 25px;
    text-align: center;
}
.copyright-txt {
    background-color: #000000;
    margin-top: 40px;
}
.card-header:has(> .ribbon) {
    padding-right: 90px;
}
/* ------ SPECIAL Banner ---- */
.ribbon-left {
    left: -6px;
    top: -6px;
    z-index: 1;
    width: 112px;
    height: 121px;

}
.ribbon-right {
    right: -6px;
    top: -6px;
    z-index: 1;
    width: 115px;
    height: 121px;

}
.ribbon {
    text-align: left;
    overflow: hidden;
    position: absolute;
}
.ribbon-left span {
    line-height: 31px;
    transform: rotate(312deg);
    width: 155px;
    top: 33px;
    right: -7px;
}
.ribbon-right span {
    line-height: 31px;
    transform: rotate(405deg);
    width: 155px;
    top: 30px;
    right: -33px;
}
.ribbon span {
    font-size: 30px;
    color: #fff;
    text-transform: uppercase;
    text-align: center;
    font-weight: bold;
    display: block;
    background: #2989d8;
    background: linear-gradient(#2989d8 0%, #1e5799 100%);
    box-shadow: 0 3px 10px -5px rgba(0, 0, 0, 1);
    position: absolute;
}
.ribbon span::before {
   content: '';
   position: absolute; 
   left: 0px; top: 100%;
   z-index: -1;
   border-left: 3px solid #1e5799;
   border-right: 3px solid transparent;
   border-bottom: 3px solid transparent;
   border-top: 3px solid #1e5799;
}
.ribbon span::after {
   content: '';
   position: absolute; 
   right: 0%; top: 100%;
   z-index: -1;
   border-right: 3px solid #1e5799;
   border-left: 3px solid transparent;
   border-bottom: 3px solid transparent;
   border-top: 3px solid #1e5799;
}

/* ----- Cart STYLE ----- */
.modal-content {
    border-radius: 0;
    border: none;
}

.modal-header {
    border-bottom-color: #EEEEEE;
    background-color: #FAFAFA;
}
.modal.fade.show .modal-dialog.modal-dialog-slideout .modal-body{
    overflow-y: auto;
    overflow-x: hidden;
}
.modal-dialog-slideout .modal-content{
    border: 0;
}
.modal-dialog-slideout .modal-header, .modal-dialog-slideout .modal-footer {
    height: 69px; 
    display: block;
} 
.modal-dialog-slideout .modal-header h5 {
    float:left;
}
